package com.fs.system.service.impl;

import java.util.Date;
import java.util.List;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.fs.system.mapper.SysDeptConfigLogMapper;
import com.fs.system.domain.SysDeptConfigLog;
import com.fs.system.service.ISysDeptConfigLogService;

/**
 * 系统部门资源配置使用记录Service业务层处理
 * 
 * @author fs
 * @date 2025-09-22
 */
@Service
public class SysDeptConfigLogServiceImpl extends ServiceImpl<SysDeptConfigLogMapper, SysDeptConfigLog> implements ISysDeptConfigLogService {

    /**
     * 查询系统部门资源配置使用记录
     * 
     * @param id 系统部门资源配置使用记录主键
     * @return 系统部门资源配置使用记录
     */
    @Override
    public SysDeptConfigLog selectSysDeptConfigLogById(Long id)
    {
        return baseMapper.selectSysDeptConfigLogById(id);
    }

    /**
     * 查询系统部门资源配置使用记录列表
     * 
     * @param sysDeptConfigLog 系统部门资源配置使用记录
     * @return 系统部门资源配置使用记录
     */
    @Override
    public List<SysDeptConfigLog> selectSysDeptConfigLogList(SysDeptConfigLog sysDeptConfigLog)
    {
        return baseMapper.selectSysDeptConfigLogList(sysDeptConfigLog);
    }

    /**
     * 新增系统部门资源配置使用记录
     * 
     * @param sysDeptConfigLog 系统部门资源配置使用记录
     * @return 结果
     */
    @Override
    public int insertSysDeptConfigLog(SysDeptConfigLog sysDeptConfigLog)
    {
        sysDeptConfigLog.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysDeptConfigLog(sysDeptConfigLog);
    }

    /**
     * 修改系统部门资源配置使用记录
     * 
     * @param sysDeptConfigLog 系统部门资源配置使用记录
     * @return 结果
     */
    @Override
    public int updateSysDeptConfigLog(SysDeptConfigLog sysDeptConfigLog)
    {
        sysDeptConfigLog.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysDeptConfigLog(sysDeptConfigLog);
    }

    /**
     * 批量删除系统部门资源配置使用记录
     * 
     * @param ids 需要删除的系统部门资源配置使用记录主键
     * @return 结果
     */
    @Override
    public int deleteSysDeptConfigLogByIds(Long[] ids)
    {
        return baseMapper.deleteSysDeptConfigLogByIds(ids);
    }

    /**
     * 删除系统部门资源配置使用记录信息
     * 
     * @param id 系统部门资源配置使用记录主键
     * @return 结果
     */
    @Override
    public int deleteSysDeptConfigLogById(Long id)
    {
        return baseMapper.deleteSysDeptConfigLogById(id);
    }

    @Override
    public void addLog(Long deptId, Integer logType, Integer operateType, String num, String firstNum, String lastNum, String username, String remark) {
        SysDeptConfigLog log = new SysDeptConfigLog();
        log.setDeptId(deptId);
        log.setLogType(logType);
        log.setOperateType(operateType);
        log.setNum(num);
        log.setFirstNum(firstNum);
        log.setLastNum(lastNum);
        log.setCreateBy(username);
        log.setCreateTime(new Date());
        log.setRemark(remark);
        save(log);
    }
}
